unit Globals;

interface

uses
  Global32;
  
type

  { TGlobalsChild }
  TGlobalsChild = class(TGlobals)
    constructor Create; override;
    function UniqueMessage: PChar; override;
  end;

implementation

{ TGlobalsChild }
constructor TGlobalsChild.Create;
begin
  inherited Create;
  UseRegistry := False;
  UseTray     := True;
end;

function TGlobalsChild.UniqueMessage: PChar;
begin
  Result := 'EZ PRINT - Version 4.0 - System Registered Message';
end;

initialization
  GlobalsClass := TGlobalsChild;
end.

